Package uk.ac.starlink.vo

# Interface MaskTreeModel.Mask

Enclosing class:
  MaskTreeModel

public static interface MaskTreeModel.Mask
Defines node inclusion in a masked tree.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`isIncluded(Object node)`
Determines whether a given node from a base tree model is to appear in the masked tree.

## Method Details

### isIncluded

boolean isIncluded(Object node)
Determines whether a given node from a base tree model is to appear in the masked tree.

Parameters:
  `node` - base model node
Returns:
  true iff mask allows `node`